aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xjenkins.sh9
-rwxr-xr-xpython/test_olm.sh2
2 files changed, 11 insertions, 0 deletions
diff --git a/jenkins.sh b/jenkins.sh
new file mode 100755
index 0000000..c1efcb9
--- /dev/null
+++ b/jenkins.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+make clean
+make lib
+make test
+
+./python/test_olm.sh
diff --git a/python/test_olm.sh b/python/test_olm.sh
index b575cbf..9c72556 100755
--- a/python/test_olm.sh
+++ b/python/test_olm.sh
@@ -1,5 +1,7 @@
#! /bin/bash
+cd `dirname $0`
+
OLM="python -m olm"
ALICE_ACCOUNT=alice.account